Description

For some compilations there are problems with the path for sed.

History

#1 - 12 Feb 2018 12:28 - John Abbott

(A) The simplest solution is to call sed directly without using its full path:

® +++ should work everywhere

¢ --- might call an unknown executable, if the user has another sed in their path

(B) We could attempt to build a list of all known paths to sed, and then write a script to pick the right one from the list.

* +++ should avoid the risk of calling an unknown (malicious?) executable
e --- it could be tedious and time-consuming to build and maintain the list of possible paths

JAA thinks the risk of running an unknown executable called sed is quite low, so suggests adopting the simpler solution.

#2 - 16 Feb 2018 08:57 - Anna Maria Bigatti
John Abbott wrote:

(A) The simplest solution is to call sed directly without using its full path:

® +++ should work everywhere

e --- might call an unknown executable, if the user has another sed in their path

JAA thinks the risk of running an unknown executable called sed is quite low, so suggests adopting the simpler solution.

| agree!

#3 - 16 Feb 2018 09:08 - Anna Maria Bigatti

There is a problem now.... | cannot remember and find where sed is called....
#4 - 16 Feb 2018 10:41 - John Abbott

- Status changed from New to In Progress

Try doc/Makefile ;-)

#5 - 21 Feb 2018 17:26 - John Abbott
- Status changed from In Progress to Resolved

- % Done changed from 10 to 80

| have changed the relevant lines in Doc/Makefile. It works for me.

I'm still a bit uneasy about calling a command without its full path...

#6 - 30 Jul 2018 14:46 - John Abbott

- Status changed from Resolved to Closed
- % Done changed from 80 to 100

- Estimated time set to 0.99 h

| have just checked doc/Makefile and noticed that it calls both sed and txt2tags without specifying the full paths of the executables... so being
paranoid about sed but not about txt2tags is fairly pointless.

We can accept the current solution, but should remember that it is "risky" (if someone should put a malicious sed or txt2tags in the path for
executables.

Closing.
